{
  "compilerOptions": {
    "resolveJsonModule": true,
    "target": "es6",
    "module": "commonjs",
    "rootDir": "./src",
    "removeComments": true,
    "strict": true,
    "baseUrl": "src",
    "paths": {
      "@logger": [
        "logger"
      ],
      "@database/models": [
        "database/models"
      ],
      "@database": [
        "database"
      ],
      "@api/middlewares": [
        "web-server/middlewares"
      ],
      "@api/utils": [
        "web-server/utils"
      ],
      "@api/utils/error": [
        "web-server/utils/error"
      ],
      "@api/controllers": [
        "web-server/controllers"
      ]
    },
    "typeRoots": [
      "./types",
      "./node_modules/@types"
    ],
    "esModuleInterop": true,
    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true
  }
}